# PhasicFlow: src/Interaction/grainInteraction/grainInteractionsNonLinearModels.cpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

grainInteractionsNonLinearModels.cpp File Reference
Include dependency graph for grainInteractionsNonLinearModels.cpp:

Go to the source code of this file.

## Macros

#define | createInteraction(ForceModel, GeomModel)

## Macro Definition Documentation

## createInteraction

#define createInteraction | ( |  | ForceModel,
|  |  | GeomModel
| ) |  |

Value:
\
template class pFlow::grainInteraction< \
ForceModel, \
GeomModel, \
pFlow::unsortedContactList>; \
\
template class pFlow::grainInteraction< \
ForceModel, \
GeomModel, \
pFlow::sortedContactList>; \
createBoundaryGrainInteraction(ForceModel, GeomModel)

Definition at line 30 of file grainInteractionsNonLinearModels.cpp.

createBoundaryGrainInteraction
#define createBoundaryGrainInteraction(ForceModel, GeomModel)
Definition: createBoundaryGrainInteraction.hpp:23
pFlow::grainInteraction
Definition: grainInteraction.hpp:41
pFlow
Definition: demGeometry.hpp:27